MPI_Graph_get(3)

NAME
MPI_Graph_get - Retrieves graph topology information associated with a communicator

SYNOPSIS
int MPI_Graph_get(MPI_Comm comm, int maxindex, int maxedges,
                  int *indx, int *edges)

INPUT PARAMETERS
comm
    - communicator with graph structure (handle)
maxindex
    - length of vector indx in the calling program (integer)
maxedges
    - length of vector edges in the calling program (integer)

OUTPUT PARAMETERS
indx
    - array of integers containing the graph structure (for details see the definition of MPI_GRAPH_CREATE )
edges
    - array of integers containing the graph structure

THREAD AND INTERRUPT SAFETY
This routine is both thread- and interrupt-safe. This means that this routine may safely be used by multiple threads and from within a signal handler.

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_TOPOLOGY
    - Invalid topology. Either there is no topology associated with this communicator, or it is not the correct type (e.g., MPI_CART when expecting MPI_GRAPH ).
MPI_ERR_COMM
    - Invalid communicator. A common error is to use a null communicator in a call (not even allowed in MPI_Comm_rank ).
MPI_ERR_ARG
    - Invalid argument. Some argument is invalid and is not identified by a specific error class (e.g., MPI_ERR_RANK ).

LOCATION
graph_get.c